{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "build-salmanoff",
            "type": "shell",
            "command": "make",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": false
            },
            "problemMatcher": [
                "$gcc"
            ],
            "options": {
                "cwd": "${workspaceFolder}/b"
            }
        },
        {
            "label": "clean-salmanoff",
            "type": "shell",
            "command": "make clean",
            "group": "build",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": false
            },
            "options": {
                "cwd": "${workspaceFolder}/b"
            }
        },
        {
            "label": "rebuild-salmanoff",
            "type": "shell",
            "command": "make clean && make",
            "group": "build",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": false
            },
            "options": {
                "cwd": "${workspaceFolder}/b"
            }
        },
        {
            "label": "run-salmanoff-help",
            "type": "shell",
            "command": "./salmanoff --help",
            "group": "test",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": false
            },
            "options": {
                "cwd": "${workspaceFolder}/b"
            }
        }
    ]
}
